# Uses of Interface
org.apache.qpid.proton.reactor.Selectable

Packages that use Selectable
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Selectable in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Selectable
Modifier and Type
Method
Description
`Selectable`
Event.`getSelectable()`

## Uses of Selectable in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Selectable
Modifier and Type
Method
Description
`Selectable`
TransportImpl.`getSelectable()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Selectable
Modifier and Type
Method
Description
`void`
TransportImpl.`setSelectable(Selectable selectable)`

## Uses of Selectable in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Selectable
Modifier and Type
Method
Description
`Selectable`
Reactor.`selectable()`
Creates a new `Selectable` as a child of this reactor.
Methods in org.apache.qpid.proton.reactor that return types with arguments of type Selectable
Modifier and Type
Method
Description
`Iterator<Selectable>`
Selector.`error()`
`Iterator<Selectable>`
Selector.`expired()`
`Iterator<Selectable>`
Selector.`readable()`
`Iterator<Selectable>`
Selector.`writeable()`
Methods in org.apache.qpid.proton.reactor with parameters of type Selectable
Modifier and Type
Method
Description
`void`
Selector.`add(Selectable selectable)`
Adds a selectable to the selector.
`void`
Selector.`remove(Selectable selectable)`
Removes a selectable from the selector.
`void`
Selectable.Callback.`run(Selectable selectable)`
`void`
Reactor.`update(Selectable selectable)`
Updates the specified `Selectable` either emitting a `Event.Type.SELECTABLE_UPDATED` event if the selectable is not terminal, or `Event.Type.SELECTABLE_FINAL` if the selectable is terminal and has not already emitted a `Event.Type.SELECTABLE_FINAL` event.
`void`
Selector.`update(Selectable selectable)`
Updates the selector to reflect any changes interest by the specified selectable.

## Uses of Selectable in org.apache.qpid.proton.reactor.impl

Classes in org.apache.qpid.proton.reactor.impl that implement Selectable
Modifier and Type
Class
Description
`class`
`SelectableImpl`
Methods in org.apache.qpid.proton.reactor.impl that return Selectable
Modifier and Type
Method
Description
`Selectable`
ReactorImpl.`selectable()`
`protected static Selectable`
IOHandler.`selectableTransport(Reactor reactor, Socket socket, Transport transport)`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Selectable
Modifier and Type
Method
Description
`void`
ReactorImpl.`update(Selectable selectable)`